:host {
    display: flex;
    gap: 40px;
    align-items: flex-start;

    .shopping-list {
        display: flex;
        flex-direction: column;
        gap: 16px;
        min-width: 700px;
        width: 100%;

        .shopping-list-group {
            display: flex;
            flex-direction: column;
            gap: 8px;



            &+.shopping-list-group {
                border-top: 1px solid rgba(0, 0, 0, .09);
                padding-top: 1.25rem;
                margin-top: 1.25rem;
            }

            >h1 {
                font-size: 17px;
                font-weight: 600;
                color: #444;
                letter-spacing: 0.01rem;
                margin: 0;

                >span {
                    color: #999;
                    font-size: 13px;
                    font-weight: 500;
                }
            }

            >.shopping-list-item {
                display: flex;
                flex-direction: row;
                gap: 16px;
                justify-content: center;
                align-items: center;
                padding: 8px 18px 8px 8px;
                border-radius: 6px;
                transition: cubic-bezier(0.075, 0.82, 0.165, 1);

                &:hover {
                    background: rgb(255 255 255 / 85%);
                }

                >.wrap-image {
                    width: 40px;
                    height: 40px;
                    background: #fff;
                    border-radius: 6px;
                    background-repeat: no-repeat;
                    background-size: contain;
                    background-position: center;
                }

                >.food-info {
                    flex: 1;
                    display: flex;
                    flex-direction: column;

                    >h2 {
                        margin: 0;
                        font-size: 16px;
                        color: #343434;
                        line-height: 16px;
                    }

                    >span {
                        font-size: 13px;
                        color: #777;
                        font-weight: 500;
                    }
                }

                >.price-info {
                    gap: 8px;
                    display: flex;

                    .previous-price {
                        text-decoration: line-through;
                        font-size: 12px;

                        +.unit-price {
                            font-weight: bold;
                        }
                    }

                    .unit-price {
                        font-size: 14px;
                    }

                    .error-price {
                        background: #e50909ad;
                        color: white;
                        padding: 4px 8px;
                        border-radius: 4px;
                        font-size: 13px;
                    }

                    .loading-price {
                        background: #097be5ad;
                        color: white;
                        padding: 4px 8px;
                        border-radius: 4px;
                        font-size: 13px;
                    }

                }
            }

        }



    }

    .shopping-bill {
        width: 300px;
        min-height: 400px;
        background-color: #fff;
        border-radius: 6px;
    }
}